Skip to main content
POST
/
knowledge
/
{knowledge_id}
/
reindex
Python
import os
from datagrid_ai import Datagrid

client = Datagrid(
    api_key=os.environ.get("DATAGRID_API_KEY"),  # This is the default and can be omitted
)
client.knowledge.reindex(
    "knowledge_id",
)
{
  "status_code": 123,
  "error": "rate_limit_exceeded",
  "message": "<string>",
  "retryable": true,
  "statusCode": 123,
  "mitigation": "<string>",
  "details": {
    "reason": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

knowledge_id
string
required

The id of the knowledge to reindex.

Response

Reindex job triggered successfully. The reindex runs asynchronously; there is no immediate re-indexing.